> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superdash.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a new conversation

> Use this API endpoint to generate a response from the LLM, tailored to your custom knowledge base and the specified prompt.

### Authorizations

<ParamField header="x-api-key" type="string" required>
  API key associated with your workspace
</ParamField>

### Body Parameters

***

<ParamField body="workspaceId" type="string" required>
  A unique identifier (UUID) that specifies the workspace within which the assistant operates.
</ParamField>

<ParamField body="assistantId" type="string" required>
  A unique identifier (UUID) that specifies the assistant to be used for generating the LLM response.
</ParamField>

<ParamField body="userIdentifier" type="string" required>
  A unique identifier associated with the user or customer initiating the conversation. This identifier is crucial for tracking and storing individual conversation histories. It allows you to maintain context across multiple interactions with the same user. Example: "user12345" or "[customer\_email@example.com](mailto:customer_email@example.com)"
</ParamField>

<ParamField body="question" type="string" required>
  The user's query or prompt that is submitted to the LLM. The LLM will use this question to generate a relevant response.
</ParamField>

<ParamField body="attributes" type="object">
  The attributes parameter is an optional JSON object that allows you to provide additional contextual information or metadata with your API request. This can be used for various purposes, you can use this to pass user or customer details like firstName, lastName, or any other relevant information to personalize the interaction.

  <Expandable title="Properties">
    <ParamField body="customField1" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField2" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField3" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField4" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField5" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField6" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField7" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>

    <ParamField body="customField8" type="string">
      Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
    </ParamField>
  </Expandable>
</ParamField>

### Response

***

<ResponseField name="response" type="string">
  The response generated by the LLM.
</ResponseField>

<ResponseField name="conversationId" type="string">
  The ID associated with the conversation.
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
  "response": "Response generated by LLM",
  "conversationId": "A newly created conversationId to identify the conversation."
  }
  ```

  ```json 400 theme={null}
  {
    "msg": "Bad request"
  }
  ```

  ```json 401 theme={null}
  {
    "msg": "Api key is not valid"
  }
  ```

  ```json 402 theme={null}
  {
    "msg": "Please upgrade your account to continue"
  }
  ```

  ```json 403 theme={null}
  {
    "msg": "Forbidden"
  }
  ```

  ```json 500 theme={null}
  {
    "msg": "Server Error"
  }
  ```
</ResponseExample>
